Ogre::RenderQueue::RenderQueueGroupMap::value_type Class Reference

`#include <OgreRenderQueue.h>`

List of all members.

## Public Member Functions

| value_type (uint8 _f, RenderQueueGroup *_g)
| value_type ()

## Public Attributes

uint8 | first
RenderQueueGroup * | second

## Detailed Description

Definition at line 99 of file OgreRenderQueue.h.

## Constructor & Destructor Documentation

Ogre::RenderQueue::RenderQueueGroupMap::value_type::value_type | ( | uint8 | _f,
|  | RenderQueueGroup * | _g
| ) |  |

Definition at line 102 of file OgreRenderQueue.h.

Ogre::RenderQueue::RenderQueueGroupMap::value_type::value_type | ( |  | ) |

Definition at line 106 of file OgreRenderQueue.h.

## Member Data Documentation

uint8 Ogre::RenderQueue::RenderQueueGroupMap::value_type::first

Definition at line 110 of file OgreRenderQueue.h.

Referenced by Ogre::RenderQueue::RenderQueueGroupMap::insert().

RenderQueueGroup* Ogre::RenderQueue::RenderQueueGroupMap::value_type::second

Definition at line 111 of file OgreRenderQueue.h.

The documentation for this class was generated from the following file:

- OgreRenderQueue.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:35